package com.simuwang.base.mapper.daq;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.simuwang.base.pojo.dos.ChannelInfoDO;
import com.simuwang.base.pojo.dos.ChannelPageInfoDO;
import com.simuwang.base.pojo.dto.query.ChannelPageQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ChannelMapper extends BaseMapper<ChannelInfoDO> {
    void deleteChannelById(@Param("id") Integer id,@Param("userId") Integer userId);

    ChannelInfoDO selectByChannelName(@Param("channelName") String channelName);

    List<ChannelPageInfoDO> searchChannelList(ChannelPageQuery channelPageQuery);

    long countChannelInfo(ChannelPageQuery channelPageQuery);

    Integer selectChannelIdByEmail(@Param("email") String emailAddress);

    List<ChannelPageInfoDO> searchChannelPage(ChannelPageQuery channelPageQuery);

    long countChannelInfoPage(ChannelPageQuery channelPageQuery);

    List<ChannelInfoDO> selectAllChannel();
}
